

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<html>

<head>

<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

<title>dbconfig-common documentation - Introduction</title>

<link href="index.html" rel="start">
<link href="index.html" rel="prev">
<link href="ch-tryitout.html" rel="next">
<link href="index.html#contents" rel="contents">
<link href="index.html#copyright" rel="copyright">
<link href="ch-intro.html" rel="chapter" title="1 Introduction">
<link href="ch-tryitout.html" rel="chapter" title="2 Try it out!">
<link href="ch-develguide.html" rel="chapter" title="3 Using dbconfig-common in your packages">
<link href="ch-moreinfo.html" rel="chapter" title="4 More Information (and how to help)">
<link href="ch-develguide.html#s-quickndirty" rel="section" title="3.1 Quick and dirty: what to do">
<link href="ch-develguide.html#s-advanced" rel="section" title="3.2 Advanced usage.">
<link href="ch-develguide.html#s-depends" rel="subsection" title="3.1.1 update package dependencies">
<link href="ch-develguide.html#s-hooks" rel="subsection" title="3.1.2 putting hooks into the maintainer scripts">
<link href="ch-develguide.html#s-bootstrap" rel="subsection" title="3.1.3 Supplying the data/code for your database">
<link href="ch-develguide.html#s-genconfig" rel="subsection" title="3.2.1 Generating custom configuration files with database information">
<link href="ch-develguide.html#s-import" rel="subsection" title="3.2.2 Importing dbconfig-common into an existing package">
<link href="ch-develguide.html#s-updates" rel="subsection" title="3.2.3 Database changes in new versions of your package">
<link href="ch-develguide.html#s-multidbtype" rel="subsection" title="3.2.4 Packages that support multiple types of databases">
<link href="ch-develguide.html#s-frontends" rel="subsection" title="3.2.5 Packages that connect to but should not create databases (read-only frontends)">
<link href="ch-develguide.html#s-removal" rel="subsection" title="3.2.6 Packages that require extra logic during removal">
<link href="ch-develguide.html#s-defaults" rel="subsection" title="3.2.7 Hinting defaults and advanced control of configuration/installation">
<link href="ch-develguide.html#s-debugging" rel="subsection" title="3.2.8 Debugging problems with dbconfig-common">

</head>

<body>

<p><a name="ch-intro"></a></p>
<hr>

<p>
[ <a href="index.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ 1 ]
[ <a href="ch-tryitout.html">2</a> ]
[ <a href="ch-develguide.html">3</a> ]
[ <a href="ch-moreinfo.html">4</a> ]
[ <a href="ch-tryitout.html">next</a> ]
</p>

<hr>

<h1>
<code>dbconfig-common</code> documentation
<br>Chapter 1 - Introduction
</h1>

<hr>

<p>
<code>dbconfig-common</code> can:
</p>
<ul>
<li>
<p>
support mysql, postgresql and sqlite based applications
</p>
</li>
</ul>
<ul>
<li>
<p>
create databases and database users
</p>
</li>
</ul>
<ul>
<li>
<p>
access local or remote databases
</p>
</li>
</ul>
<ul>
<li>
<p>
upgrade/modify databases when upstream changes database structure
</p>
</li>
</ul>
<ul>
<li>
<p>
remove databases and database users
</p>
</li>
</ul>
<ul>
<li>
<p>
generate config files in many formats with the database info
</p>
</li>
</ul>
<ul>
<li>
<p>
import configs from packages previously managing databases on their own
</p>
</li>
</ul>
<ul>
<li>
<p>
prompt users with a set of normalized, pre-translated questions
</p>
</li>
</ul>
<ul>
<li>
<p>
handle failures gracefully, with an option to retry.
</p>
</li>
</ul>
<ul>
<li>
<p>
do all the hard work automatically
</p>
</li>
</ul>
<ul>
<li>
<p>
work for package maintainers with little effort on their part
</p>
</li>
</ul>
<ul>
<li>
<p>
work for local admins with little effort on their part
</p>
</li>
</ul>
<ul>
<li>
<p>
comply with an agreed upon set of standards for behavior
</p>
</li>
</ul>
<ul>
<li>
<p>
do absolutely nothing if it is the whim of the local admin
</p>
</li>
</ul>
<ul>
<li>
<p>
perform all operations from within the standard flow of debian package
maintenance (no additional skill is required of the local admin)
</p>
</li>
</ul>

<hr>

<p>
[ <a href="index.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ 1 ]
[ <a href="ch-tryitout.html">2</a> ]
[ <a href="ch-develguide.html">3</a> ]
[ <a href="ch-moreinfo.html">4</a> ]
[ <a href="ch-tryitout.html">next</a> ]
</p>

<hr>

<p>
<code>dbconfig-common</code> documentation
</p>

<address>
$Revision$<br>
<br>
Sean Finney<br>
<br>
</address>
<hr>

</body>

</html>

